# Index

import { MethodTable } from "components/MethodTable";

Result Codes describe why a transaction or operation failed in Stellar Core and are communicated in the “extras” field of a Horizon response when the “Transaction Failed” Status Code is returned.

In the “extras” field, the errors returned are referred to as “Result Codes” and are Horizon’s abstraction of “Stellar Protocol Codes”, which are more specific codes available in the XDR. Result Codes are Horizon’s way of normalizing Stellar Protocol Codes.

There are three types of Result Codes: [Transaction Result Codes](/api/errors/result-codes/transactions.md), [Operation Result Codes](/api/errors/result-codes/operations.md), and [Operation-Specific Result Codes](/api/errors/result-codes/operation-specific/index.md).

Result Code Types

| [Transaction Result Codes](https://developers.stellar.org/api/errors/result-codes/transactions/)              | Generic errors about transaction failures. |
| ------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| [Operation Result Codes](https://developers.stellar.org/api/errors/result-codes/operations/)                  | Generic errors about operation failures.   |
| [Operation-Specific Result Codes](https://developers.stellar.org/api/errors/result-codes/operation-specific/) | Errors specific to each operation type.    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/result-codes/index-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
